#ifndef _ZITHER_LINT_H_
   #define _ZITHER_LINT_H_

// #include"config.h" 

   #ifndef _VERSION_H_
      #include "version.h"
   #endif

   #define CL_LINTVER "zither_lint-"VERSION

   #ifndef BUF_DEFLEN 
      #define BUF_DEFLEN 128
   #endif
   #ifndef BUF_LEN
      #define BUF_LEN 256
   #endif
   #ifndef BUF_MAX
      #define BUF_MAX 4096
   #endif


   typedef struct global_data global_data_t;

   struct global_data {
     char * filename;
     char *** lendata;
     char * pg_host;
     char * pg_hostdata;
     char * pg_dbname;
     };


   int malloc_set(void);
   int malloc_free(void);
   int bufinfile(FILE *, char ***, int *);
   int portcheck(int, char *);
   int statcheck(char *);
   int protocheck(int, char *);
   int mailcheck(char *);
   int intervalcheck(char *);
   int startcheck(int, char *);

   int pqconnect(char *);
   int pqexec_datain(char *);
   char * pqexec_select(char *, int *);


#endif

